Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr168.api
Class StateAwareResponseImpl

    java.lang.Object
      org.jboss.portal.portlet.impl.jsr168.api.PortletResponseImpl
          org.jboss.portal.portlet.impl.jsr168.api.StateAwareResponseImpl

All Implemented Interfaces:
  PortletResponse, javax.portlet.StateAwareResponse

Direct Known Subclasses:
  ActionResponseImpl, EventResponseImpl

    public abstract class StateAwareResponseImpl

extends PortletResponseImpl
implements javax.portlet.StateAwareResponse

Version:
  $Revision: 630 $
Author:
  Julien Viet

Nested Class Summary
`protected class` | `StateAwareResponseImpl.WantRedirect`
`protected class` | `StateAwareResponseImpl.WantUpdate`

Field Summary
`protected StateAwareResponseImpl.WantRedirect` | `wantRedirect` .
`protected StateAwareResponseImpl.WantUpdate` | `wantUpdate` .

Fields inherited from class org.jboss.portal.portlet.impl.jsr168.api.PortletResponseImpl
`invocation, preq`

Constructor Summary
`StateAwareResponseImpl(PortletInvocation invocation, PortletRequestImpl preq)`

Method Summary
`protected void` | `checkRedirect(java.lang.String errorMsg)`
`PortletMode` | `getPortletMode()`
`java.util.Map<java.lang.String,java.lang.String[]>` | `getRenderParameterMap()`
`PortletInvocationResponse` | `getResponse()`
`WindowState` | `getWindowState()`
`protected void` | `queueEvent(javax.xml.namespace.QName name, java.io.Serializable value)`
`void` | `removePublicRenderParameter(java.lang.String name)`
`protected StateAwareResponseImpl.WantRedirect` | `requireRedirect()`
`protected StateAwareResponseImpl.WantUpdate` | `requireUpdate(java.lang.String errorMsg)`
`void` | `setEvent(javax.xml.namespace.QName name, java.io.Serializable value)`
`void` | `setEvent(java.lang.String localName, java.io.Serializable value)`
`void` | `setPortletMode(PortletMode portletMode)`
`void` | `setRenderParameter(java.lang.String name, java.lang.String value)`
`void` | `setRenderParameter(java.lang.String name, java.lang.String[] values)`
`void` | `setRenderParameters(java.util.Map<java.lang.String,java.lang.String[]> map)`
`void` | `setWindowState(WindowState windowState)`
`protected StateAwareResponseImpl.WantUpdate` | `wantUpdate()`

Methods inherited from class org.jboss.portal.portlet.impl.jsr168.api.PortletResponseImpl
`addProperty, addProperty, addProperty, createElement, encodeURL, getNamespace, getProperties, getProperties, getRealResponse, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.portlet.PortletResponse
`addProperty, encodeURL, setProperty`

Field Detail

### wantUpdate

    protected StateAwareResponseImpl.WantUpdate wantUpdate

  .

### wantRedirect

    protected StateAwareResponseImpl.WantRedirect wantRedirect

  .

Constructor Detail

### StateAwareResponseImpl

    public StateAwareResponseImpl(PortletInvocation invocation,
                                  PortletRequestImpl preq)

Method Detail

### getResponse

    public PortletInvocationResponse getResponse()

  Specified by:
    `getResponse` in class `PortletResponseImpl`

### requireUpdate

    protected StateAwareResponseImpl.WantUpdate requireUpdate(java.lang.String errorMsg)

### checkRedirect

    protected void checkRedirect(java.lang.String errorMsg)

### requireRedirect

    protected StateAwareResponseImpl.WantRedirect requireRedirect()

### wantUpdate

    protected StateAwareResponseImpl.WantUpdate wantUpdate()

### setWindowState

    public void setWindowState(WindowState windowState)
                        throws WindowStateException

  Specified by:
    `setWindowState` in interface `javax.portlet.StateAwareResponse`
  Throws:
    `WindowStateException`

### setPortletMode

    public void setPortletMode(PortletMode portletMode)
                        throws PortletModeException

  Specified by:
    `setPortletMode` in interface `javax.portlet.StateAwareResponse`
  Throws:
    `PortletModeException`

### setRenderParameters

    public void setRenderParameters(java.util.Map<java.lang.String,java.lang.String[]> map)

  Specified by:
    `setRenderParameters` in interface `javax.portlet.StateAwareResponse`

### setRenderParameter

    public void setRenderParameter(java.lang.String name,
                                   java.lang.String value)

  Specified by:
    `setRenderParameter` in interface `javax.portlet.StateAwareResponse`

### setRenderParameter

    public void setRenderParameter(java.lang.String name,
                                   java.lang.String[] values)

  Specified by:
    `setRenderParameter` in interface `javax.portlet.StateAwareResponse`

### getRenderParameterMap

    public java.util.Map<java.lang.String,java.lang.String[]> getRenderParameterMap()

  Specified by:
    `getRenderParameterMap` in interface `javax.portlet.StateAwareResponse`

### removePublicRenderParameter

    public void removePublicRenderParameter(java.lang.String name)

  Specified by:
    `removePublicRenderParameter` in interface `javax.portlet.StateAwareResponse`

### setEvent

    public void setEvent(javax.xml.namespace.QName name,
                         java.io.Serializable value)

  Specified by:
    `setEvent` in interface `javax.portlet.StateAwareResponse`

### setEvent

    public void setEvent(java.lang.String localName,
                         java.io.Serializable value)

  Specified by:
    `setEvent` in interface `javax.portlet.StateAwareResponse`

### getPortletMode

    public PortletMode getPortletMode()

  Specified by:
    `getPortletMode` in interface `javax.portlet.StateAwareResponse`

### getWindowState

    public WindowState getWindowState()

  Specified by:
    `getWindowState` in interface `javax.portlet.StateAwareResponse`

### queueEvent

    protected final void queueEvent(javax.xml.namespace.QName name,
                                    java.io.Serializable value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.